<?php

if ( ! @include_once( './mainfile.php' ) ) { exit( '!! INCLUDE ERROR. ACCESS DENIED !!' ); }
error_reporting( _E_VALUE );


/* vim: set expandtab tabstop=4 shiftwidth=4: */
// +----------------------------------------------------------------------+
// | myPHPNuke Version 188_8 RC2                                          |
// +----------------------------------------------------------------------+
// | License: GNU/GPL - http://www.gnu.org/copyleft/gpl.html              |
// +----------------------------------------------------------------------+
// | Support: http://myphpnuke.com/                                       |
// +----------------------------------------------------------------------+
// | Author: myPHPNuke Dev Team                                           |
// +----------------------------------------------------------------------+
// | Copyright: © 2001-2004 myPHPNuke Dev Team                            |
// +----------------------------------------------------------------------+
// $Id: header.php,v 1.26.2.19 2004/09/15 03:12:49 kirilt Exp $

$header = 1;

if ( ! defined( '_HEADER_INC_' ) )
{
    define( '_HEADER_INC_', (bool)TRUE );

    if ( FunctionLibrary :: checkPHPVersion( 4.2 ) )
    {
        @ob_clean();
    }
    else
    {
        while( @ob_end_clean() );
    }
}
else
{
    return;
}

include './config.php';

if ( ! isset( $hlpfile ) ) { $hlpfile = ''; }

global $mpnTables, $phpEx, $index;
global $nuke_url, $mpn_display_whatsnews;
global $mpn_display_quote,$mpn_display_fetching_request, $mpn_display_recenttopics;
global $artpage, $topic, $user, $cookie, $hr;
global $bgcolor1, $bgcolor2, $bgcolor3, $bgcolor4, $textcolor1, $textcolor2, $forumpage;
global $mpn_version, $slogan, $site_font, $sitename, $banners, $Default_Theme, $uimages;

if ( ! isset( $index ) ) { $index = 0; }

if ( defined( '_MPN_USER' ) && _MPN_USER ) { $cookie = cookiedecode(); }


if ( isset( $_SERVER['HTTP_ACCEPT_ENCODING'] ) && stristr( $_SERVER['HTTP_ACCEPT_ENCODING'], 'gzip' ) )
{
    ob_start( 'compressOutput' );
}
else
{
    ob_start();
}

header("Expires: Mon, 26 Jul 1997 05:00:00 GMT");
header("Cache-Control: no-store, no-cache, must-revalidate");
header("Cache-Control: post-check=0, pre-check=0", false);
header("Last-Modified: " . gmdate("D, d M Y H:i:s") . " GMT");
header("Pragma: no-cache");

echo '<!DOCTYPE html
PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">';


/*PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"

PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
"http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"

PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"

PUBLIC "-//W3C//DTD HTML 4.01//EN"
"http://www.w3.org/TR/html4/strict.dtd"*/


echo "\n\n<html>\n";

echo "<head>\n";

echo "<title>" . stripslashes( $sitename ) . "</title>\n\n";

echo "<meta http-equiv=\"content-type\" content=\"text/html; " . translate('charset=ISO-8859-1') . "\" />\n"; //an admin can now 'translate' his charset
echo "<meta http-equiv=\"content-language\"  content=\"" . translate('en-GB') . "\" />\n"; //an admin can now 'translate' his language setting for the browser
echo "<meta name=\"author\" content=\"" . stripslashes($sitename) . "\" />\n";
echo "<meta name=\"copyright\" content=\"Copyright (c) " . date('Y') ." by $sitename\" />\n";
echo "<meta name=\"keywords\" content=\"News, news, New, New, Technology, technology, Headlines, headlines, Nuke, nuke, PHP-Nuke, phpnuke, php-nuke, Geek, geek, Geeks, geeks, Hacker, hacker, Hackers, hackers, Linux, linux, Windows, windows, Software, software, Download, download, Downloads, downloads, Free, FREE, free, Community, community, MP3, mp3, Forum, forum, Forums, forums, Bulletin, bulletin, Board, board, Boards, boards, PHP, php, Survey, survey, Kernel, kernel, Comment, comment, Comments, comments, Portal, portal, ODP, odp, Open, open, Open Source, OpenSource, Opensource, opensource, open source, Free Software, FreeSoftware, Freesoftware, free software, GNU, gnu, GPL, gpl, License, license, Unix, UNIX, *nix, unix, MySQL, mysql, SQL, sql, Database, DataBase, database, Mandrake, mandrake, Red Hat, RedHat, red hat, Slackware, slackware, SUSE, SuSE, suse, Debian, debian, Gnome, GNOME, gnome, Kde, KDE, kde, Enlightenment, enlightenment, Intercative, interactive, Programming, programming, Extreme, extreme, Game, game, Games, games, Web Site, web site, Weblog, WebLog, weblog, Guru, GURU, guru\" />\n";
echo "<meta name=\"description\" content=\"" . stripslashes($slogan) . "\" />\n";
echo "<meta name=\"generator\" content=\"myPHPNuke " . _MPN_VERSION_ . " - http://www.myphpnuke.com\" />\n\n\n";

echo '<link rel="shortcut icon" href="' . _MPN_ROOT_URI . 'images/favicon.ico" />' . "\n";

// Linked General JS

echo '<script type="text/javascript" src="' . _MPN_ROOT_URI . 'mpn_misc.js"></script>' . "\n";

// Embedded JS ( Translated Dialog Text For JS Interactive Script Prompts )

echo @( include 'core_JSDialogs.php' );

// Link BBCode JS If Required

$bbcode_scripts = array( 'index', 'submit', 'forum_submit', 'admin' );

if ( in_array( __REQSCR__ , $bbcode_scripts ) )
{
    echo '<script type="text/javascript" src="' . _MPN_ROOT_URI . 'mpn_bbcode.js"></script>' . "\n";
}

unset( $embedjs, $bbcode_scripts );

// Load The Theme

require_once './core_GetTheme.php';

include_once './counter.php';

?>